%define apiver 1

Summary: ICONV - Charset Conversion Library
Name: apr-iconv
Version: 1.2.2
Release: 12%{?dist}1a
License: ASL 2.0
URL: https://apr.apache.org/
Source0: https://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
BuildRequires: apr-devel >= 1.3.0

%description
This distribution contains the library (libiconv.a and .so) for
conversion between various charsets (character encoding schemes)
and the command line utility (iconv).

Syntax of the library functions (iconv_open, iconv, iconv_close)
and the utility is described in the man pages.

%package devel
Summary: APR iconv library development kit
Requires: apr-iconv%{?_isa} = %{version}-%{release}, apr-devel%{?_isa}, pkgconfig

%description devel
This package provides the support files which can be used to 
build applications using the APR iconv library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep
%setup -q


%build
./configure --prefix=%{_prefix} --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{apiver} \
        --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc CHANGES NOTICE
%license LICENSE COPYING
%{_libdir}/libapriconv-%{apiver}.0.dylib
%dir %{_libdir}/iconv
%{_libdir}/iconv/*

%files devel
%{_bindir}/*
%{_libdir}/libapriconv-%{apiver}.dylib
%{_includedir}/apr-%{apiver}/*.h

%changelog
* Mon Jun 6 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 1.2.2-12hepx1a
- 1st release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang
